# Cpuset Helpers

## Functions

static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure | hwloc_topology_get_complete_cpuset (hwloc_topology_t topology)
static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure | hwloc_topology_get_topology_cpuset (hwloc_topology_t topology)
static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure | hwloc_topology_get_online_cpuset (hwloc_topology_t topology)
| Get online CPU set.
static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure | hwloc_topology_get_allowed_cpuset (hwloc_topology_t topology)
| Get allowed CPU set.

## Function Documentation

static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure hwloc_topology_get_allowed_cpuset | ( | hwloc_topology_t | topology | ) | `[static]`

Get allowed CPU set.

Returns:
  the CPU set of allowed logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note:
  The returned cpuset is not newly allocated and should thus not be changed or freed, hwloc_cpuset_dup must be used to obtain a local copy.

static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure hwloc_topology_get_complete_cpuset | ( | hwloc_topology_t | topology | ) | `[static]`

static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure hwloc_topology_get_online_cpuset | ( | hwloc_topology_t | topology | ) | `[static]`

Get online CPU set.

Returns:
  the CPU set of online logical processors of the system. If the topology is the result of a combination of several systems, NULL is returned.

Note:
  The returned cpuset is not newly allocated and should thus not be changed or freed; hwloc_cpuset_dup must be used to obtain a local copy.

static __hwloc_inline hwloc_const_cpuset_t __hwloc_attribute_pure hwloc_topology_get_topology_cpuset | ( | hwloc_topology_t | topology | ) | `[static]`